Bug 599549 - Windows 2008 32bit guest stuck during unattended installation
Windows 2008 32bit guest stuck during unattended installation
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.6
All Linux
high Severity high
: rc
: ---
Assigned To: Marcelo Tosatti
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier1
  Show dependency treegraph
 
Reported: 2010-06-03 09:46 EDT by jason wang
Modified: 2010-11-09 07:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-29 08:33:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
panic from host when modprobe -r kvm-intel (170.60 KB, image/png)
2010-06-03 09:47 EDT, jason wang
no flags Details
strace result when guest hang (10.86 MB, application/octet-stream)
2010-06-03 10:32 EDT, jason wang
no flags Details

  None (edit)
Description jason wang 2010-06-03 09:46:36 EDT
Description of problem:
When doing unattended installation for 32bit Win2008 on EPT capable machine, guest may stuck in the last steps of installation.

Version-Release number of selected component (if applicable):

[root@intel-i7-12-2 default]# rpm -qa | grep kvm
etherboot-zroms-kvm-5.4.4-13.el5
kvm-qemu-img-83-164.el5_5.10
kmod-kvm-83-164.el5_5.10
kvm-83-164.el5_5.10
kvm-tools-83-164.el5_5.10
kvm-debuginfo-83-164.el5_5.10

[root@intel-i7-12-2 default]# uname -r
2.6.18-194.3.1.el5

How reproducible:
100%

Steps to Reproduce:
1. Do the unattended installation for 32bit Win2008 on EPT machine
2. Wait for the installation complete
3.
  
Actual results:
Installation should be succeed.

Expected results:
Guest stuck with 100% cpu utilization.

Additional info:
1. The installation succeeded with enable_ept=0
2. qemu-kvm cmdline: /home/devel/autotest/client/tests/kvm/qemu -name vm1 -monitor tcp:0:6001,server,nowait -drive file=/home/devel/autotest/client/tests/kvm/images/win2008-32.qcow2,if=ide,cache=none,boot=on -net nic,vlan=0,model=e1000,macaddr=02:FF:B7:DB:cd:ca -net user,vlan=0 -m 2048 -smp 1 -drive file=/home/devel/autotest/client/tests/kvm/isos/ISO/Win2008/32/Windows2008-x86-customized.iso,index=2,media=cdrom -soundhw ac97 -fda /home/devel/autotest/client/tests/kvm/images/floppy.img -redir tcp:5000::22 -redir tcp:5001::12323 -vnc :0 -usbdevice tablet -rtc-td-hack -no-hpet -cpu qemu64,+sse2 -no-kvm-pit-reinjection -boot d -serial unix:/tmp/serial-20100603-213027-hyBm,server,nowait
3. When I stop the stuck guest and do the modprobe kvm-intel, the host panic.
Comment 1 jason wang 2010-06-03 09:47:18 EDT
Created attachment 419372 [details]
panic from host when modprobe -r kvm-intel
Comment 2 jason wang 2010-06-03 10:29:04 EDT
kvm_stat when guest hang:

kvm statistics

 efer_reload                  0       0
 exits                223832519  427088
 fpu_reload              957692       0
 halt_exits               96422       0
 halt_wakeup              94789       0
 host_state_reload      5255144     343
 hypercalls                   0       0
 insn_emulation       108963140  213124
 insn_emulation_fail          0       0
 invlpg                       0       0
 io_exits               4894050     256
 irq_exits               570875     584
 irq_injections       107510483  213124
 irq_window           107310396  213123
 kvm_request_irq              0       0
 largepages                   0       0
 mmio_exits              205689       0
 mmu_cache_miss           77479       0
 mmu_flooded                  0       0
 mmu_pde_zapped               0       0
 mmu_pte_updated              0       0
 mmu_pte_write        108678088  213124
 mmu_recycled                 0       0
 mmu_shadow_zapped        93270       0
 mmu_unsync                   0       0
 mmu_unsync_global            0       0
 nmi_injections               0       0
 nmi_window                   0       0
 pf_fixed               1998262       0
 pf_guest                     0       0
 remote_tlb_flush           605       0
 request_nmi                  0       0
 signal_exits                 1       0
 tlb_flush               322996       0
Comment 3 jason wang 2010-06-03 10:32:50 EDT
Created attachment 419400 [details]
strace result when guest hang
Comment 4 jason wang 2010-06-03 10:46:59 EDT
I fail to get the kvmtrace:
[root@intel-i7-12-2 ~]# kvmtrace -w 1 -o out
KVM_TRACE_ENABLE: Input/output error
and the strace for it is:
...
brk(0x1f16d000)                         = 0x1f16d000
open("/dev/kvm", O_RDWR)                = 3
ioctl(3, 0x4008ae06, 0x7fff72ee5de0)    = -1 EIO (Input/output error)
dup(2)                                  = 4
fcntl(4, F_GETFL)                       = 0x8002 (flags O_RDWR|O_LARGEFILE)
...
Is there anything I missed?
Comment 5 jason wang 2010-06-04 00:35:14 EDT
I can also reproduce this with enable_ept=0
Here is the kvm_stat when guest hang:

kvm statistics

 efer_reload                  0       0
 exits               1094799278  716084
 fpu_reload             1037952       0
 halt_exits              102049       0
 halt_wakeup             100120       0
 host_state_reload      7963978     319
 hypercalls                   0       0
 insn_emulation       537574837  357701
 insn_emulation_fail        270       0
 invlpg                 2257407       0
 io_exits               7513991     256
 irq_exits               987347     424
 irq_injections       535344446  357705
 irq_window           535123271  357703
 kvm_request_irq              0       0
 largepages                   0       0
 mmio_exits              275218       0
 mmu_cache_miss          187057       0
 mmu_flooded              70847       0
 mmu_pde_zapped          291492       0
 mmu_pte_updated         282871       0
 mmu_pte_write           411479       0
 mmu_recycled                 0       0
 mmu_shadow_zapped       306414       0
 mmu_unsync                 100       0
 mmu_unsync_global            0       0
 nmi_injections               0       0
 nmi_window                   0       0
 pf_fixed               9354916       0
 pf_guest               1510067       0
 remote_tlb_flush             4       0
 request_nmi                  0       0
 signal_exits                 1       0
 tlb_flush              4521618       0
Comment 6 jason wang 2010-06-04 00:55:19 EDT
kvmtrace result:

0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148872563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148873563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
0 (+           0)  APIC_ACCESS   vcpu = 0x00000000  pid = 0x0000429d [ offset = 0x000000b0 ]
70662148874563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148876563 (+        2000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x00000007, rip = 0x00000000 816232d2 ]
0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148877563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148878563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
0 (+           0)  APIC_ACCESS   vcpu = 0x00000000  pid = 0x0000429d [ offset = 0x000000b0 ]
70662148879563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148880563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x00000007, rip = 0x00000000 816232d2 ]
0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148881563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148883563 (+        2000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
0 (+           0)  APIC_ACCESS   vcpu = 0x00000000  pid = 0x0000429d [ offset = 0x000000b0 ]
70662148884563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148885563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x00000007, rip = 0x00000000 816232d2 ]
0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148886563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148887563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
0 (+           0)  APIC_ACCESS   vcpu = 0x00000000  pid = 0x0000429d [ offset = 0x000000b0 ]
70662148889563 (+        2000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148890563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x00000007, rip = 0x00000000 816232d2 ]
0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148891563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148893563 (+        2000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
0 (+           0)  APIC_ACCESS   vcpu = 0x00000000  pid = 0x0000429d [ offset = 0x000000b0 ]
70662148894563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148895563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x00000007, rip = 0x00000000 816232d2 ]
0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148896563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148898563 (+        2000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
0 (+           0)  APIC_ACCESS   vcpu = 0x00000000  pid = 0x0000429d [ offset = 0x000000b0 ]
70662148899563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148900563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x00000007, rip = 0x00000000 816232d2 ]
0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148901563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148903563 (+        2000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
0 (+           0)  APIC_ACCESS   vcpu = 0x00000000  pid = 0x0000429d [ offset = 0x000000b0 ]
70662148904563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148905563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x00000007, rip = 0x00000000 816232d2 ]
0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148906563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148908563 (+        2000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
0 (+           0)  APIC_ACCESS   vcpu = 0x00000000  pid = 0x0000429d [ offset = 0x000000b0 ]
70662148909563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148911563 (+        2000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x00000007, rip = 0x00000000 816232d2 ]
0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148911563 (+           0)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148913563 (+        2000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
0 (+           0)  APIC_ACCESS   vcpu = 0x00000000  pid = 0x0000429d [ offset = 0x000000b0 ]
70662148914563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148915563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x00000007, rip = 0x00000000 816232d2 ]
0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148916563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148917563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
0 (+           0)  APIC_ACCESS   vcpu = 0x00000000  pid = 0x0000429d [ offset = 0x000000b0 ]
70662148919563 (+        2000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148920563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x00000007, rip = 0x00000000 816232d2 ]
0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148921563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148922563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
0 (+           0)  APIC_ACCESS   vcpu = 0x00000000  pid = 0x0000429d [ offset = 0x000000b0 ]
70662148923563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148925563 (+        2000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x00000007, rip = 0x00000000 816232d2 ]
0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148925563 (+           0)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148927563 (+        2000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
0 (+           0)  APIC_ACCESS   vcpu = 0x00000000  pid = 0x0000429d [ offset = 0x000000b0 ]
70662148928563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148929563 (+        1000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x00000007, rip = 0x00000000 816232d2 ]
0 (+           0)  PEND_INTR     vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x00 ]
0 (+           0)  INJ_VIRQ      vcpu = 0x00000000  pid = 0x0000429d [ vector = 0x82 ]
70662148930563 (+        1000)  VMENTRY       vcpu = 0x00000000  pid = 0x0000429d
70662148932563 (+        2000)  VMEXIT        vcpu = 0x00000000  pid = 0x0000429d [ exitcode = 0x0000002c, rip = 0x00000000 8162368e ]
Comment 7 jason wang 2010-06-04 03:15:44 EDT
I can also reproduce this on kvm-83-164.el5 ( not 100% reproducible).
Comment 8 Marcelo Tosatti 2010-06-07 11:54:15 EDT
Gleb mentions that e1000 is not supported with Windows, and that there are known problems with its driver.

Please try to reproduce with rtl8139.
Comment 9 jason wang 2010-06-08 03:33:40 EDT
Hello marcelo:
    I can not reproduce this with rtl8139, look like the problem of e1000.
Comment 10 Marcelo Tosatti 2010-06-29 08:11:18 EDT
Jason,

Can we close the bug then?
Comment 11 jason wang 2010-06-29 08:20:27 EDT
(In reply to comment #10)
> Jason,
> 
> Can we close the bug then?    

Sure.
Comment 12 jason wang 2010-06-29 08:33:10 EDT
According to comment 8 and comment 9, CLOSE this as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.